/**
*	Some structure.
*/

struct s_some {

	int	field1;		//!< Field one
	int	field2;		//!< Field two
};

/**
*	Return a pointer to a constant string.
*
*	@return	A const pointer.
*
*	@note	All is good.
*/

const char	*foo( void )
{
	return "Hello";
}

/**
*	Return a pointer to a constant structure.
*
*	@param	index	Some index
*	@return		A pointer to a constant structure.
*
*	@attention	The const qualifier is missing from the documentation!
*/

const struct s_some *bar( int index )
{
extern const struct s_some array[];

	return array + index;
}

/**
*	A static inline function test (would be in a header).
*
*	@param 	x	A number
*	@return		An other number.
*
*	@attention	The [inline] qualifier is missing from the docs, despite the
*				fact that INLINE_INFO is set to YES.
*/

static inline int square( int x )
{
	return x*x;
}

/**
*	A non-static inline function test.
*
*	@param 	x	A number
*	@return		An other number.
*
*	@attention	The [inline] qualifier is missing from the docs, despite the
*				fact that INLINE_INFO is set to YES.
*/

inline int cube( int x )
{
	return x*x*x;
}

